Refresh authenticated host capabilities
const options = {
method: 'PUT',
headers: {cookie: 'overlay_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
protocolVersion: 1,
hostVersion: '<string>',
platform: '<string>',
adapters: [
{
id: '<string>',
displayName: '<string>',
supports: {prompt: true, approval: true, cancel: true, resume: true},
version: '<string>'
}
],
filesystem: {mode: 'selected_roots', roots: ['<string>']},
maxConcurrentRuns: 500
})
};
fetch('https://getoverlay.io/api/v1/agent-environments/{environmentId}/capabilities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'PUT',
headers: {cookie: 'overlay_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
protocolVersion: 1,
hostVersion: '<string>',
platform: '<string>',
adapters: [
{
id: '<string>',
displayName: '<string>',
supports: {prompt: true, approval: true, cancel: true, resume: true},
version: '<string>'
}
],
filesystem: {mode: 'selected_roots', roots: ['<string>']},
maxConcurrentRuns: 500
})
};
fetch('https://getoverlay.io/api/v1/agent-environments/{environmentId}/capabilities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PUT \
--url https://getoverlay.io/api/v1/agent-environments/{environmentId}/capabilities \
--header 'Content-Type: application/json' \
--cookie overlay_session= \
--data '
{
"protocolVersion": 1,
"hostVersion": "<string>",
"platform": "<string>",
"adapters": [
{
"id": "<string>",
"displayName": "<string>",
"supports": {
"prompt": true,
"approval": true,
"cancel": true,
"resume": true
},
"version": "<string>"
}
],
"filesystem": {
"mode": "selected_roots",
"roots": [
"<string>"
]
},
"maxConcurrentRuns": 500
}
'"<unknown>"{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Agent environments
Refresh authenticated host capabilities
PUT
/
api
/
v1
/
agent-environments
/
{environmentId}
/
capabilities
Refresh authenticated host capabilities
const options = {
method: 'PUT',
headers: {cookie: 'overlay_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
protocolVersion: 1,
hostVersion: '<string>',
platform: '<string>',
adapters: [
{
id: '<string>',
displayName: '<string>',
supports: {prompt: true, approval: true, cancel: true, resume: true},
version: '<string>'
}
],
filesystem: {mode: 'selected_roots', roots: ['<string>']},
maxConcurrentRuns: 500
})
};
fetch('https://getoverlay.io/api/v1/agent-environments/{environmentId}/capabilities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'PUT',
headers: {cookie: 'overlay_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
protocolVersion: 1,
hostVersion: '<string>',
platform: '<string>',
adapters: [
{
id: '<string>',
displayName: '<string>',
supports: {prompt: true, approval: true, cancel: true, resume: true},
version: '<string>'
}
],
filesystem: {mode: 'selected_roots', roots: ['<string>']},
maxConcurrentRuns: 500
})
};
fetch('https://getoverlay.io/api/v1/agent-environments/{environmentId}/capabilities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PUT \
--url https://getoverlay.io/api/v1/agent-environments/{environmentId}/capabilities \
--header 'Content-Type: application/json' \
--cookie overlay_session= \
--data '
{
"protocolVersion": 1,
"hostVersion": "<string>",
"platform": "<string>",
"adapters": [
{
"id": "<string>",
"displayName": "<string>",
"supports": {
"prompt": true,
"approval": true,
"cancel": true,
"resume": true
},
"version": "<string>"
}
],
"filesystem": {
"mode": "selected_roots",
"roots": [
"<string>"
]
},
"maxConcurrentRuns": 500
}
'"<unknown>"{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Authorizations
browserSessionbearerAuth
Signed httpOnly browser session cookie.
Path Parameters
Body
application/json
Available options:
1 Required string length:
1 - 100Required string length:
1 - 200Maximum array length:
100Show child attributes
Show child attributes
- Option 1
- Option 2
Show child attributes
Show child attributes
Required range:
0 < x <= 1000Response
Successful response. Stable response schemas are documented in workflow guides when available.
Response shape is route-specific and may be backed by @overlay/app-core contracts.